Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ThumbnailFormat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ThumbnailFormat

Direct Known Subclasses:
  `TdApi.ThumbnailFormatGif`, `TdApi.ThumbnailFormatJpeg`, `TdApi.ThumbnailFormatMpeg4`, `TdApi.ThumbnailFormatPng`, `TdApi.ThumbnailFormatTgs`, `TdApi.ThumbnailFormatWebm`, `TdApi.ThumbnailFormatWebp`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ThumbnailFormat extends TdApi.Object permits TdApi.ThumbnailFormatJpeg, TdApi.ThumbnailFormatGif, TdApi.ThumbnailFormatMpeg4, TdApi.ThumbnailFormatPng, TdApi.ThumbnailFormatTgs, TdApi.ThumbnailFormatWebm, TdApi.ThumbnailFormatWebp
This class is an abstract base class. Describes format of a thumbnail.

## Constructor Summary

Constructors
Constructor
Description
`ThumbnailFormat()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThumbnailFormat

public ThumbnailFormat()
Default class constructor.